Class | Xapian::Match
In: | xapian.rb
Parent: | Object

      Ruby wrapper for a Match, i.e. a Xapian::MSetIterator (Match Set) in C++.

it‘s no longer an iterator in the Ruby version, but we want to preserve its non-iterative data. (MSetIterator is not dangerous, but it is inconvenient to use from a Ruby idiom, so we wrap it..)

### Methods

== new

### Attributes

collapse_count | [RW] |
docid | [RW] |
document | [RW] |
percent | [RW] |
rank | [RW] |
weight | [RW] |

### Public Class methods

new(docid, document, rank, weight, collapse_count, percent)

### Public Instance methods

==(other)

[Validate]